> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nadles.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List access tokens for subscription



## OpenAPI

````yaml /openapi/provider.api.yaml get /customers/{customerId}/subscriptions/{subscriptionId}/access-tokens/
openapi: 3.0.3
info:
  title: Nadles Provider API
  version: '0.1'
  description: Nadles Provider API allows managing products, customers and subscriptions
  x-logo:
    url: ''
servers:
  - url: https://provider.api.nadles.com/v0
    description: ''
security:
  - defaultApiKey: []
tags: []
paths:
  /customers/{customerId}/subscriptions/{subscriptionId}/access-tokens/:
    get:
      summary: List access tokens for subscription
      operationId: listCustomerSubscriptionAccessTokens
      parameters:
        - name: customerId
          in: path
          required: true
          description: The ID of the customer.
          schema:
            type: string
        - name: subscriptionId
          in: path
          required: true
          description: The ID of the subscription.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSubscriptionAccessTokensResponse'
components:
  schemas:
    ListSubscriptionAccessTokensResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AccessToken'
        metadata:
          $ref: '#/components/schemas/ListCustomerSubscriptions200ResponseMetadata'
    AccessToken:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        value:
          type: string
        issued_at:
          type: string
          format: date-time
        expires_at:
          type: string
          format: date-time
          nullable: true
        is_expired:
          type: boolean
    ListCustomerSubscriptions200ResponseMetadata:
      type: object
      properties:
        pagination:
          $ref: >-
            #/components/schemas/ListCustomerSubscriptions200ResponseMetadataPagination
    ListCustomerSubscriptions200ResponseMetadataPagination:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer
  securitySchemes:
    defaultApiKey:
      description: API key provided in the admin portal
      type: apiKey
      name: nadles-provider-key
      in: header

````